Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040347
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-03-11 11:582019-03-28 14:56
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisionb5da46fd9c1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040347: Improve log of ImportEntryManager

DescriptionImprove log of ImportEntryManager:
  * Log number of entries processed if any
  * Log new wait time if entries were processed
  * Reduce level to trace for each processed entry
Steps To Reproduce1. Enable debug log in ImportEntryManager
2. Create a ticket in WebPOS
  -> Check logs
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0110345)
hgbot (developer)
2019-03-11 11:59

Repository: erp/devel/pi
Changeset: b5da46fd9c1c0a2075bb1b81611b16c24be98bc2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 11 11:59:35 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b5da46fd9c1c0a2075bb1b81611b16c24be98bc2 [^]

fixed issue 40347: improved log of ImportEntryManager
  * Log number of entries processed if any
  * Log new wait time if entries were processed
  * Reduce level to trace for each processed entry

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0110376)
hgbot (developer)
2019-03-12 11:28

Repository: erp/devel/pi
Changeset: a1f3604f31328c43c1c48722b52bc2f02f355b46
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 12 11:28:15 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a1f3604f31328c43c1c48722b52bc2f02f355b46 [^]

related to issue 40347: log processed entries per data type

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0110579)
caristu (developer)
2019-03-22 10:48

Reviewed
(0110859)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110863)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-11 11:58 alostale New Issue
2019-03-11 11:58 alostale Assigned To => alostale
2019-03-11 11:58 alostale Modules => Core
2019-03-11 11:58 alostale Triggers an Emergency Pack => No
2019-03-11 11:59 hgbot Checkin
2019-03-11 11:59 hgbot Note Added: 0110345
2019-03-11 11:59 hgbot Status new => resolved
2019-03-11 11:59 hgbot Resolution open => fixed
2019-03-11 11:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b5da46fd9c1c0a2075bb1b81611b16c24be98bc2 [^]
2019-03-11 12:00 alostale Review Assigned To => caristu
2019-03-12 10:55 alostale Relationship added blocks 0036162
2019-03-12 11:28 hgbot Checkin
2019-03-12 11:28 hgbot Note Added: 0110376
2019-03-22 10:48 caristu Note Added: 0110579
2019-03-22 10:48 caristu Status resolved => closed
2019-03-22 10:48 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110859
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110863


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker